commit:     cd514ed669015e36c2fc797ef34d7f521bbdcb50
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 28 17:14:08 2018 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Sat Jul 28 17:21:43 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cd514ed6

dev-python/pyenchant: bump to 2.0.0, supports enchant 2, Py3.7+PyPy3

* This new version works with enchant v1.x and v2.x so we can get rid of
  ${PV%.*} in RDEPEND.
* app-dicts/myspell-en must be installed to avoid the failure from bug 659258.
* Tests are fine as long as a UTF-8 locale is present, not necessarily
  en_US.UTF-8, remove the locale check from python_test.
* When using a non-English locale, one test might fail, so it's
  commented out and the failure is reported upstream.

Closes: https://bugs.gentoo.org/643718
Closes: https://bugs.gentoo.org/659258
Closes: https://bugs.gentoo.org/656172
Package-Manager: Portage-2.3.43, Repoman-2.3.10

 dev-python/pyenchant/Manifest               |  1 +
 dev-python/pyenchant/pyenchant-2.0.0.ebuild | 37 +++++++++++++++++++++++++++++
 2 files changed, 38 insertions(+)

diff --git a/dev-python/pyenchant/Manifest b/dev-python/pyenchant/Manifest
index 14b7e56f1ec..d1c09a2bac5 100644
--- a/dev-python/pyenchant/Manifest
+++ b/dev-python/pyenchant/Manifest
@@ -1,2 +1,3 @@
 DIST pyenchant-1.6.6.tar.gz 64010 BLAKE2B 
cdd0878ca58e05d955bf7d5518de71c02f663a8b00b1437bed8171fcdd08768691a9f9bc2bea0de0e942c2197bc9cbef66a88a114c47df3265c8d8034c95225a
 SHA512 
af6aa1ac77b5718ec4b4aad3d0b88d26e697b472ec8261b23b37fdbf6b399a120ccc3e4ee6579b884c44b0eeb3f95bcdbceea189105c05088a48400a0c8cdb90
 DIST pyenchant-1.6.8.tar.gz 63693 BLAKE2B 
5a8f867f3f40e81ec7d2431b678f324619b81942c8ca05a0cddc5acd2a3c645227fe6584b2236cfd440104f552d23786fff064d39762eb62e9e6a9d62ef1c670
 SHA512 
1a297cd279a0fbea2657bb42f2018a693b7f1d2da420f8cba436f680fb803282432f86e244a098eb7b9ef801059a3ee3c3bbaa748d30ea6357edf9f778e2f0a0
+DIST pyenchant-2.0.0.tar.gz 64022 BLAKE2B 
ee1200ded8e2a8f9145fece64cee1c8ea3129d540e10708d51acf6491c200a0f39927b47fce51d2e2f932e465d7acd5bb4afd31712183530f6da5e8ea899c0c7
 SHA512 
c985714bc8ad69b6580fa1dd546243da5f3f92e8681d846ed265b086c486ae7ed33754fba303b450be4c0cb20e975a9a10efbeb700ea5213a11ed00612a93af0

diff --git a/dev-python/pyenchant/pyenchant-2.0.0.ebuild 
b/dev-python/pyenchant/pyenchant-2.0.0.ebuild
new file mode 100644
index 00000000000..0ae7b34a1c0
--- /dev/null
+++ b/dev-python/pyenchant/pyenchant-2.0.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy{,3} python{2_7,3_{4,5,6,7}} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for the Enchant spellchecking system"
+HOMEPAGE="http://pyenchant.sourceforge.net https://pypi.org/project/pyenchant/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="test"
+
+RDEPEND="app-text/enchant"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               ${RDEPEND}
+               app-dicts/myspell-en
+       )"
+
+python_prepare_all() {
+       # Avoid a test failure when there is no dictionary
+       # matching the available locales
+       # https://github.com/rfk/pyenchant/issues/134
+       sed -i 's/test_default_language/_&/' enchant/checker/tests.py || die
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       esetup.py test
+}

Reply via email to